Package org.gradle.platform.base

## Interface DependencySpec

- All Known Subinterfaces:
    `LibraryBinaryDependencySpec`, `ModuleDependencySpec`, `ProjectDependencySpec`

      @Incubating
      public interface DependencySpec

  A dependency onto a Gradle component.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` | The human friendly name of this dependency.

- - ### Method Detail

    - #### getDisplayName

          java.lang.String getDisplayName()

      The human friendly name of this dependency.
      Returns:
        human friendly name